## pmix 2.1.1~rc1

=== debian/changelog ===
pmix (2.1.1~rc1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 24 Feb 2018 11:43:02 +0000

pmix (2.1.0-2) unstable; urgency=medium

  * Build static libs -fPIC. Needed for openmpi

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Feb 2018 13:44:59 +0000

pmix (2.1.0-1) unstable; urgency=medium

  * New upstream release
  * Point VCS -Git, browser in d/control to salsa.debian.org
  * Correct copy-paste error in description. Closes: #882846
  * Build static libs -fPIC

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Feb 2018 10:48:05 +0000

pmix (2.1.0~rc1-3) unstable; urgency=medium

  * Standards-Version: 4.1.3. No changes required
  * Now use debhelper 11
  * Set Vcs-Git in debian/control
  * Put components in /usr/lib/$(triplet)/pmix where they will be found,
    not a subdir. See pmix issue 628
  * flex now needed to build

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 Jan 2018 21:22:16 +0000

pmix (2.1.0~rc1-2) unstable; urgency=medium

  * Move pmix to /usr/lib/$multiarch/pmix/{lib,include} and split libpmi{1,2}
    libraries to co-exist with SLURM, MPICH implementations.
    Closes: # 882033
  * FTBFS on Hurd: add patch for MAXPATHLEN. Closes: #881952

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Nov 2017 16:25:16 +0000

pmix (2.1.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.1
  * Set libpmix-dev as Multi-Arch: same
  * Add patch for FTBFS on Hurd: #811952
  * Add watch file

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 17 Nov 2017 11:16:43 +0000

pmix (2.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #809345)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 Sep 2017 15:38:37 +0100
