=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
AUTOGENERATED:= libpmix2.links libpmix-dev.links libpmix-dev.install \
		libpmi1-pmix.links libpmi2-pmix.links libpmi-pmix-dev.links \
		libpmi1-pmix.install libpmi2-pmix.install \
		libpmi-pmix-dev.install libpmix-dev.install \
		libpmix2.install \
		pmix-mca-params.conf
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)  -fPIC

PSM_ARCH:= amd64 i386
ifneq (,$(findstring $(DEB_HOST_ARCH),$(PSM_ARCH)))
	PSM:= --with-psm
endif

 
%:
	dh $@ --parallel 

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
	rm -rf debian/static-build debian/shared-build

override_dh_autoreconf:
	./autogen.pl --force
	for f in ${AUTOGENERATED} ; do \
                sed -e 's%@TRIPLET@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                done
	dh_auto_configure --builddirectory=debian/static-build -- $(PSM) \
		--enable-static --sysconfdir=$(LIBDIR)/pmix/share
	dh_auto_configure --builddirectory=debian/shared-build -- $(PSM) \
		--enable-shared --sysconfdir=$(LIBDIR)/pmix/share

override_dh_auto_build:
	dh_auto_build  --builddirectory=debian/static-build
	dh_auto_build  --builddirectory=debian/shared-build

override_dh_auto_install:
	dh_auto_install --builddirectory=debian/static-build
	dh_auto_install --builddirectory=debian/shared-build
	find debian/tmp -name '*.la' -delete
