## pmix 3.0.1

=== debian/changelog ===
pmix (3.0.1-2) unstable; urgency=medium

  * Add Breaks / Replaces on libopenmpi3 ( << 3.1.2) as it ships a pmix.so
    we ship. Closes: #907248

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Aug 2018 10:35:18 +0100

pmix (3.0.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.2.0

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 Aug 2018 08:44:22 +0100

pmix (3.0.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.5
  * Bup lib versions 2.1.12 -> 2.2.0

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Jul 2018 14:34:25 +0100

pmix (2.1.2~rc1-1) unstable; urgency=medium

  * New upstream release
  * Bump library versions 2.1.11 -> 2.1.12

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Jun 2018 08:31:23 +0100

pmix (2.1.2~git.20180629-1) experimental; urgency=medium

  * Upstream snapshot. Testing arm/ppc atomics fixes

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 29 Jun 2018 13:43:44 +0100

pmix (2.1.1-2) unstable; urgency=medium

  * Drop pkg-openmpi-maintainers as Uploaders. (Uses alioth, deprecated)
  * Fix watch file to cope with rc versions

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 May 2018 10:00:37 +0100

pmix (2.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 16 May 2018 06:56:15 +0100

pmix (2.1.1~rc1-4) unstable; urgency=medium

  * Drop pandoc dependency on all archs; don't ship man pages

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Apr 2018 10:02:26 +0100

pmix (2.1.1~rc1-3) unstable; urgency=medium

  * Drop dependency on pandoc on some archs to allow build
  * Disable munge support on hurd-i386

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Apr 2018 09:23:49 +0100

pmix (2.1.1~rc1-2) unstable; urgency=medium

  * Standards-Version: 4.1.4
  * Fix broken symlinks. Closes: #895772
  * Drop obsolete --parallel argument to dh

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Apr 2018 09:23:29 +0100
