=== debian/control ===
--- 
+++ 
@@ -2,16 +2,14 @@
 Section: net
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Uploaders: Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 11), 
  flex,
  libpsm-infinipath1-dev [amd64 i386],
  zlib1g-dev,
  libevent-dev,
  libltdl-dev,
- libmunge-dev,
- pandoc
-Standards-Version: 4.1.3
+ libmunge-dev [ !hurd-i386] 
+Standards-Version: 4.2.0
 Homepage: https://github.com/pmix/pmix
 Vcs-Browser: https://salsa.debian.org:/science-team/pmix.git
 Vcs-Git: https://salsa.debian.org:/science-team/pmix.git
@@ -69,8 +67,8 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Breaks: libpmix-dev (<< 2.1.0~rc1-2)
-Replaces: libpmix-dev (<< 2.1.0~rc1-2)
+Breaks: libpmix-dev (<< 2.1.0~rc1-2), libopenmpi3 (<< 3.1.2)
+Replaces: libpmix-dev (<< 2.1.0~rc1-2), libopenmpi3 (<< 3.1.2)
 Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins
 Description: Process Management Interface (Exascale) library
  This is the OpenMPI implementation of the Process Management Interface (PMI)
