=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
  
 %:
-	dh $@ --parallel 
+	dh $@ 
 
 override_dh_auto_clean:
 	dh_auto_clean
