## pmix 3.1.2

=== debian/changelog ===
pmix (3.1.2-3) unstable; urgency=medium

  * DEB_HOST_ARCH -> DEB_TARGET_ARCH in d/rules for cross-build correctness.
  * Fix broken symlink libmca_common_dstore.so. Closes: #924195

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 Mar 2019 10:05:49 +0000

pmix (3.1.2-2) unstable; urgency=medium

  * Bump minor library version libpmix.so.2.2.22. Closes: #920822

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 30 Jan 2019 09:17:18 +0000

pmix (3.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Jan 2019 17:17:30 +0000

pmix (3.1.1-1) unstable; urgency=medium

  * New upstream release
    Minor version now libpmix.so.2.2.21

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Jan 2019 12:33:09 +0000

pmix (3.1.0~rc4-1) unstable; urgency=medium

  * New upstream release.
    Patches merged upstream:
    - hurd-mpi-init.patch
    - 32-bit.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 11 Jan 2019 09:00:36 +0000

pmix (3.1.0~rc2-3) unstable; urgency=medium

  * Fix for 32-bit system regression. Closes: #918157

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Jan 2019 19:09:48 +0000

pmix (3.1.0~rc2-2) unstable; urgency=medium

  * Standards-Version: 4.3.0
  * Fix for handle setsockopt(SO_RCVTIMEO) not being supported.
    Thanks to Samuel Thibault. Closes: #918031

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Jan 2019 10:09:06 +0000

pmix (3.1.0~rc2-1) unstable; urgency=medium

  * New upstream release
  * libmca_common_dstore.so now  version 1.0.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 Dec 2018 07:36:43 +0000

pmix (3.1.0~rc1-1) experimental; urgency=medium

  * New Upstream release
  * libpmix.so now at 2.2.20
  * Also ship libmca_common_dstore.so.0.0.0 in libpmix2
  * Drop hard-coded xz-compression for deb tarball

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 24 Oct 2018 10:46:55 +0100

pmix (3.0.2-2) unstable; urgency=medium

  * Fix broken symlink (lib version change). Closes: #910158 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Oct 2018 15:22:05 +0100

pmix (3.0.2-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.2.1

 -- Alastair McKinstryA <mckinstry@debian.org>  Fri, 21 Sep 2018 09:49:01 +0100
