=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libevent-dev,
  libltdl-dev,
  libmunge-dev [ !hurd-i386] 
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Homepage: https://github.com/pmix/pmix
 Vcs-Browser: https://salsa.debian.org:/science-team/pmix.git
 Vcs-Git: https://salsa.debian.org:/science-team/pmix.git
