=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,9 @@
 		pmix-mca-params.conf
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)  -fPIC
 
-PSM_ARCH:= amd64 i386
-ifneq (,$(findstring $(DEB_HOST_ARCH),$(PSM_ARCH)))
-	PSM:= --with-psm
-endif
+PSM_ARCH= amd64 i386
+PSM:= $(if $(filter $(DEB_TARGET_ARCH),$(PSM_ARCH)), --with-psm, )
 
- 
 %:
 	dh $@
