=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/, filenamemangle=s/.+\/(\d\S+)\.tar\.gz/$1\.tar\.gz/" \
  https://github.com/pmix/pmix/tags .*/v?(\d\S+)\.tar\.gz
