## pmix 3.1.4

=== debian/changelog ===
pmix (3.1.4-1) unstable; urgency=medium

  * New upstream release
  * Update symlinks: libmca_common_dstore.so now 1.0.1
     libpmi.so now 1.0.1

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 Aug 2019 16:09:57 +0100

pmix (3.1.4~rc2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Aug 2019 15:07:46 +0100

pmix (3.1.4~rc1-1) unstable; urgency=medium

  * New upstream release
  * Update symlinks; libpmix now 2.2.24
  * Standards-Version: 4.4.0
  * Use debhelper-compat (=12)

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Jul 2019 10:09:03 +0100

pmix (3.1.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 Jul 2019 10:38:19 +0100

pmix (3.1.3~rc3-1) unstable; urgency=medium

  * New release
  * Now use debhelper 12

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 18 Jun 2019 14:14:25 +0100

pmix (3.1.3~rc1-1) unstable; urgency=medium

  * New upstream release
  * Update symlinks; libpmix.so now .2.2.23

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Apr 2019 10:11:41 +0100
