=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: net
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 11), 
+Build-Depends: debhelper-compat (= 12), 
  flex,
  libpsm-infinipath1-dev [amd64 i386],
  zlib1g-dev,
  libevent-dev,
  libltdl-dev,
  libmunge-dev [ !hurd-i386] 
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/pmix/pmix
 Vcs-Browser: https://salsa.debian.org:/science-team/pmix.git
 Vcs-Git: https://salsa.debian.org:/science-team/pmix.git
