## pmix 3.1.5

=== debian/changelog ===
pmix (3.1.5-1) unstable; urgency=medium

  * New upstream release
  * Update symlinks: libmca_common_dstore.so now 1.0.2
                     libpmix.so now 2.2.25
  * Standards-Version: 4.5.0
  * Build with psm2 support on amd64

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 27 Feb 2020 09:26:17 +0000
