=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Build-Depends: debhelper-compat (= 12), 
  flex,
  libpsm-infinipath1-dev [amd64 i386],
+ libpsm2-dev [amd64],
  zlib1g-dev,
  libevent-dev,
  libltdl-dev,
  libmunge-dev [ !hurd-i386] 
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/pmix/pmix
 Vcs-Browser: https://salsa.debian.org:/science-team/pmix.git
 Vcs-Git: https://salsa.debian.org:/science-team/pmix.git
