=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,8 @@
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)  -fPIC
 
 PSM_ARCH= amd64 i386
-PSM:= $(if $(filter $(DEB_TARGET_ARCH),$(PSM_ARCH)), --with-psm, )
+PSM2_ARCH= amd64 
+PSM2:= $(if $(filter $(DEB_TARGET_ARCH),$(PSM_ARCH2)), --with-psm2, )
 
 %:
 	dh $@ 
@@ -31,9 +32,9 @@
 	for f in ${AUTOGENERATED} ; do \
                 sed -e 's%@TRIPLET@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                 done
-	dh_auto_configure --builddirectory=debian/static-build -- $(PSM) \
+	dh_auto_configure --builddirectory=debian/static-build -- $(PSM2) \
 		--enable-static --sysconfdir=$(LIBDIR)/pmix/share
-	dh_auto_configure --builddirectory=debian/shared-build -- $(PSM) \
+	dh_auto_configure --builddirectory=debian/shared-build -- $(PSM2) \
 		--enable-shared --sysconfdir=$(LIBDIR)/pmix/share
 
 override_dh_auto_build:
