## pmix 4.0.0

=== debian/changelog ===
pmix (4.0.0-4.1+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Do not follow links when doing "chown" (CVE-2023-41915) (Closes: #1051729)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 28 Oct 2023 20:49:38 +0200

pmix (4.0.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Nobuhiro Iwamatsu ]
  * Add libevent-dev, libhwloc-dev and zlib1g-dev to libpmix-dev's Depends
    (Closes: #989289)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 01 Aug 2021 11:20:07 +0200

pmix (4.0.0-4) unstable; urgency=medium

  * Add Breaks: libopenmpi3 (<< 4.1.0-3) to libpmix2 to get necessary
    config file when using openmpi. Closes: #978066

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Jan 2021 17:30:05 +0000

pmix (4.0.0-3) unstable; urgency=medium

  * Regression: ensure pmix-mca-params.conf is installed in share directory
    to provide correct mca_base_component_path. Closes: #978066, #979744

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Jan 2021 15:11:53 +0000

pmix (4.0.0-2) unstable; urgency=medium

  * Build-Depend on Cython, python3-distuils
  * python3.patch: change refs from python -> python3
  * Close bugs fixed in exp release. Closes: #920906, #978066
  * Revert build to include both shared, static builds

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Jan 2021 10:15:47 +0000

pmix (4.0.0-1) experimental; urgency=medium

  * New upstream release
  * Patch merged upstream:
    - python-bindings.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 02 Jan 2021 08:56:03 +0000

pmix (4.0.0~rc2-1) experimental; urgency=medium

  * New upstream release
  * Add json, python binding support
    - Needs python-bindings.patch
  * Be explicit in optional dependencies
  * Fix pmix share install path, for help messages
  * Add build-dep on pandoc for man pages

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 27 Dec 2020 16:40:30 +0000

pmix (4.0.0~rc1-2) unstable; urgency=medium

  * Update d/watch to openmpix github site
  * Fix broken symlinks (libpmix2.links regression). Closes: #977873

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 23 Dec 2020 13:11:09 +0000

pmix (4.0.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * Drop libpmi1, libpmi2 packages
  * Build-depend on python3

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Dec 2020 08:01:53 +0000

pmix (3.2.2~rc1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 05 Dec 2020 15:21:44 +0000

pmix (3.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Nov 2020 09:38:45 +0000

pmix (3.2.1~rc1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 10 Nov 2020 14:41:28 +0000

pmix (3.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 25 Oct 2020 15:16:28 +0000

pmix (3.2.0~rc1-6) unstable; urgency=medium

  * Update Breaks/Replaces. Closes: #972442

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 21 Oct 2020 12:59:48 +0100

pmix (3.2.0~rc1-5) unstable; urgency=medium

  * Add sh4, m69k to the atomic primitives list. Closes: #970314.
  * Link libmca_common_dstore.so against libpmix. Closes: #934109
  * Change VCS-Git in d/control to point to debian/latest branch
  * Move libpmix.so to $libdir/pmix2/lib in libpmix2 ; accessed directly
    via slurmd, so needed at runtime, not just compile time
  * Add Breaks/Replaces to cope with above change

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Oct 2020 11:48:48 +0100

pmix (3.2.0~rc1-4) unstable; urgency=medium

  * Drop pandoc, use disable-man-pages until it works ok. Closes: #970205
  * Close openmpi bug fixde by -3 pmix release. Closes: #970225

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 13 Sep 2020 15:04:38 +0100

pmix (3.2.0~rc1-3) unstable; urgency=medium

  * Fix froim Adrian Bunk for atomic primitives on armel, mipsel
    Closes: #970194

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 13 Sep 2020 11:59:39 +0100

pmix (3.2.0~rc1-2) unstable; urgency=medium

  * Fix missing headers in patch
  * Drop erroneous break/relaces 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Sep 2020 15:30:05 +0100

pmix (3.2.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * Add libmix-bin package for tools
  * libpmix2 : the SO version has REGRESSED from libpmix.so.3.2.0 to 
    libpmix.2.2.30, so revert
  * Merge $(LIBDIR)/pmix files into $LIBDIR)/pmix2
  * Move to debhelper 13; use subst. vars rather than autogenerated dh files
  * Add d/gpb.conf file; use DEP-14 branch names
  * Include pandoc as a build-dependency

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Sep 2020 08:31:36 +0100
