## pmix 4.1.0

=== debian/changelog ===
pmix (4.1.0-3ubuntu1) impish; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't build manpages on i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Aug 2021 13:41:36 +0200

pmix (4.1.0-3) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Standards-Version: 4.6.0
  * Drop old hurd.patch (empty)

  [ Gianfranco Costamanga ]
  * Update breaks/replaces to fix uninstallability (Closes: #991549)
  *  Drop cython b-d
  * Move to cython3

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Aug 2021 15:19:07 +0100

pmix (4.1.0-2ubuntu2) impish; urgency=medium

  * Update breaks/replaces to fix uninstallability (Closes: #991549)
  * Drop cython b-d
  * Move to cython3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Aug 2021 09:57:28 +0200

pmix (4.1.0-2ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't build manpages on i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Aug 2021 22:21:10 +0200

pmix (4.1.0-2) unstable; urgency=medium

  * Push to unstable
  * Build-dep on cython

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Aug 2021 14:47:25 +0100

pmix (4.1.0-1) experimental; urgency=medium

  * New upstream release
  * Include reproducibility patch from Vagrant Cascadian. Closes: #990253
  * Add libevent-dev, libhwloc-dev and zlib1g-dev to libpmix-dev's Depends

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Aug 2021 10:24:33 +0100

pmix (4.1.0~rc2-1) experimental; urgency=medium

  * New upstream release
  * Use chrpath to remove rpaths

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 10 Aug 2021 10:35:57 +0100

pmix (4.1.0~rc1-1) experimental; urgency=medium

  * New upstream release
  * Update d/watch to handle rc versions better.
  * Fix prefix to ensure locations correct for pmix.pc
  * Drop python3.patch; now upstream
  * Individual DSOs (eg dstore) now merged in libpmix.
  * Add python3-pmix.install over pyinstall

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Jul 2021 09:57:50 +0100

pmix (4.0.0-4.1ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't build manpages on i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Aug 2021 21:34:12 +0200

pmix (4.0.0-4ubuntu1) hirsute; urgency=medium

  * Don't build manpages on i386.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Jan 2021 21:23:31 +0100
