=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13), 
  dh-sequence-python3,
+ chrpath,
  flex,
  python3-all-dev,
  cython3,
  python3-distutils,
- pandoc,
+ pandoc [!i386],
  libpsm-infinipath1-dev [amd64 i386],
  libpsm2-dev [amd64],
  libhwloc-dev,
@@ -17,7 +18,7 @@
  libjansson-dev,
  libltdl-dev,
  libmunge-dev [ !hurd-i386]
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/pmix/pmix
 Vcs-Browser: https://salsa.debian.org:/science-team/pmix.git
 Vcs-Git: https://salsa.debian.org:/science-team/pmix.git -b debian/latest
@@ -25,8 +26,10 @@
 Package: libpmix-dev
 Section: libdevel
 Architecture: any
+Breaks: libpmix2 (<< 4.1.0~rc1-1)
+Replaces: libpmix2 (<< 4.1.0~rc1-1)
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpmix2 (= ${binary:Version}), libevent-dev, libhwloc-dev, zlib1g-dev
+Depends: ${shlibs:Drepends}, ${misc:Depends}, libpmix2 (= ${binary:Version}), libevent-dev, libhwloc-dev, zlib1g-dev
 Description: Development files for the PMI Exascale library  
  This is the OpenMPI implementation of the Process Management Interface (PMI)
  Exascale API. PMIx aims to retain transparent compatibility with the existing
