=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
+
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -20,18 +21,25 @@
 
 export LD_LIBRARY_PATH:=$(CURDIR)/debian/tmp/$(LIBDIR):$(LD_LIBRARY_PATH)
 
+# Do not embed build username or build system hostname, see README
+export HOSTNAME=hostname
+export USER=username
+
 %:
 	dh $@ 
 
 BUILD_FLAGS:= \
 	$(PSM2) \
+	--prefix=$(LIBDIR)/pmix2 \
+	--libdir=$(LIBDIR)/pmix2/lib \
+	--includedir=$(LIBDIR)/pmix2/include \
 	--sysconfdir=$(LIBDIR)/pmix2/share \
 	--datarootdir=$(LIBDIR)/pmix2/share \
 	--with-zlib=/usr \
 	--with-jansson=/usr \
 	--with-hwloc=/usr \
 	--enable-python-bindings \
-	#--disable-man-pages
+	$(if $(filter $(DEB_HOST_ARCH), i386),--disable-man-pages)
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -39,15 +47,13 @@
 	rm -rf debian/static-build debian/shared-build
 
 override_dh_autoreconf:
+	patch -p1 < debian/patches/cython.patch
 	./autogen.pl --force
 	for f in ${AUTOGENERATED} ; do \
                 sed -e 's%@DEB_HOST_MULTIARCH@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                 done
 
 override_dh_auto_configure:
-	# Hack to fix quilt issue in 4.0.0
-	patch -p1 < debian/patches/python3.patch
-	patch -p1 < debian/patches/Do-not-follow-links-when-doing-chown.patch
 	dh_auto_configure --builddirectory=debian/static-build -- $(BUILD_FLAGS) \
 		--enable-static 
 	dh_auto_configure --builddirectory=debian/shared-build -- $(BUILD_FLAGS) \
@@ -67,4 +73,5 @@
 	dh_auto_install --builddirectory=debian/static-build
 	dh_auto_install --builddirectory=debian/shared-build
 	find debian/tmp -name '*.la' -delete
+	chrpath -d debian/tmp/$(LIBDIR)/pmix2/bin/*
