## pmix 4.1.2

=== debian/changelog ===
pmix (4.1.2-2ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't build manpages on i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Feb 2022 10:22:32 +0100

pmix (4.1.2-2) unstable; urgency=medium

  * FIx link versions 2.5.1 -> 2.5.2. Closes: #1005789, #1005754

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 15 Feb 2022 09:31:30 +0000

pmix (4.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 13 Feb 2022 10:05:30 +0000

pmix (4.1.1~rc6-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't build manpages on i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Jan 2022 21:34:15 +0100

pmix (4.1.1~rc6-1) unstable; urgency=medium

  * New upstream release
  * Enable ucx on amd64, arm64x, ppc64el archs
  * Explicitly list libdir for hwloc, zlib
  * Enable curl support for jansson
  * Patch for ucx configure error

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Dec 2021 11:29:14 +0000

pmix (4.1.1~rc5-1) unstable; urgency=medium

  * New upstream release
  * Ensure no runpath used in plugins; should be on main path

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Nov 2021 09:24:27 +0000

pmix (4.1.1~rc4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Oct 2021 09:24:22 +0100

pmix (4.1.1~rc2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Sep 2021 14:26:00 +0100

pmix (4.1.1~rc1-1) unstable; urgency=medium

  * New upstream release
    - re-enable cython, hurd patches
  * Build-dep on bison, flex, libfl-dev
  * Fix link path to LIBDIR/pmix/lib
  * Update symlinks to libpmix.so.2.5.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 26 Sep 2021 19:06:47 +0100

pmix (4.1.0-3ubuntu2) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 21:59:17 +0200
