=== debian/control ===
--- 
+++ 
@@ -6,12 +6,16 @@
  dh-sequence-python3,
  chrpath,
  flex,
+ bison,
+ libfl-dev,
  python3-all-dev,
  cython3,
  python3-distutils,
  pandoc [!i386],
  libpsm-infinipath1-dev [amd64 i386],
+ libucx-dev [amd64 arm64 ppc64el],
  libpsm2-dev [amd64],
+ libcurl4-gnutls-dev | libcurl-dev,
  libhwloc-dev,
  zlib1g-dev,
  libevent-dev,
