=== debian/rules ===
--- 
+++ 
@@ -12,14 +12,17 @@
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)  -fPIC
 
 PSM_ARCH= amd64 i386
+UCX_ARCH= amd64 arm64 ppc64el
 PSM2_ARCH= amd64 
 PSM2:= $(if $(filter $(DEB_TARGET_ARCH),$(PSM2_ARCH)), --with-psm2, )
+UCX:=  $(if $(filter $(DEB_TARGET_ARCH),$(UCX_ARCH)), --with-ucx=/usr, )
+
 
 ifneq (,$(filter $(DEB_HOST_ARCH), armel mipsel sh4 m68k ))
   export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
 endif
 
-export LD_LIBRARY_PATH:=$(CURDIR)/debian/tmp/$(LIBDIR):$(LD_LIBRARY_PATH)
+export LD_LIBRARY_PATH:=$(CURDIR)/debian/tmp/$(LIBDIR)/pmix2/lib:$(LD_LIBRARY_PATH)
 
 # Do not embed build username or build system hostname, see README
 export HOSTNAME=hostname
@@ -30,14 +33,18 @@
 
 BUILD_FLAGS:= \
 	$(PSM2) \
+	$(UCX) \
 	--prefix=$(LIBDIR)/pmix2 \
 	--libdir=$(LIBDIR)/pmix2/lib \
 	--includedir=$(LIBDIR)/pmix2/include \
 	--sysconfdir=$(LIBDIR)/pmix2/share \
 	--datarootdir=$(LIBDIR)/pmix2/share \
+	--with-curl \
 	--with-zlib=/usr \
+	--with-zlib-libdir=$(LIBDIR) \
 	--with-jansson=/usr \
 	--with-hwloc=/usr \
+	--with-hwloc-libdir=$(LIBDIR) \
 	--enable-python-bindings \
 	$(if $(filter $(DEB_HOST_ARCH), i386),--disable-man-pages)
 
@@ -47,7 +54,6 @@
 	rm -rf debian/static-build debian/shared-build
 
 override_dh_autoreconf:
-	patch -p1 < debian/patches/cython.patch
 	./autogen.pl --force
 	for f in ${AUTOGENERATED} ; do \
                 sed -e 's%@DEB_HOST_MULTIARCH@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
@@ -74,4 +80,5 @@
 	dh_auto_install --builddirectory=debian/shared-build
 	find debian/tmp -name '*.la' -delete
 	chrpath -d debian/tmp/$(LIBDIR)/pmix2/bin/*
+	chrpath -d debian/tmp/$(LIBDIR)/pmix2/lib/pmix/*.so
