## pmix 4.2.2

=== debian/changelog ===
pmix (4.2.2-1+deb12u1) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Do not follow links when doing "chown" (CVE-2023-41915) (Closes: #1051729)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 28 Oct 2023 17:04:42 +0200

pmix (4.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Nov 2022 15:39:49 +0000

pmix (4.2.2~rc2-1) experimental; urgency=medium

  * New upstream release
  * Update the links to soversion 2.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 20 Oct 2022 07:25:09 +0100

pmix (4.2.2~rc1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Oct 2022 12:44:07 +0100

pmix (4.2.1-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Oct 2022 12:39:13 +0100

pmix (4.2.1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Sep 2022 20:21:21 +0100

pmix (4.2.1~rc1-1) experimental; urgency=medium

  * New upstream release
  * Upstream no longer build or ship manpages
  * Remove obsolete ucx-configure.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Sep 2022 15:32:00 +0100

pmix (4.2.0-2) unstable; urgency=medium

  * Ack old bugs. Closes: #1017356, #1017734

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Aug 2022 15:03:08 +0100

pmix (4.2.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Aug 2022 08:36:03 +0100

pmix (4.2.0~rc2-2) unstable; urgency=medium

  * Reduce debug info to fix FTBFS on mipsel (Adrian Bunk), Closes: #1017730
  * Drop unused B-D on pandoc. Closes: #1017730
  * Move man pages from libpmix2 arch-dep directory to usual -dev place
  * Ack fixed bug. Closes: #1017356

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Aug 2022 14:28:24 +0100

pmix (4.2.0~rc2-1) unstable; urgency=medium

  * New upstream release. Closes: #1017107, #1017356

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Aug 2022 14:25:10 +0100

pmix (4.2.0~rc1-2) unstable; urgency=medium

  * Fix broken symlink on lib; version changed. Closes: #1017017

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 14 Aug 2022 08:42:23 +0100

pmix (4.2.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * mca-fix.patch: FTBFS due to missing header include
  * d/rules: with-jansson now points to LIBDIR due to multiarch fix
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 12 Aug 2022 07:04:07 +0100
