=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  python3-all-dev,
  cython3,
  python3-distutils,
- pandoc [!i386],
  libpsm-infinipath1-dev [amd64 i386],
  libucx-dev [amd64 arm64 ppc64el],
  libpsm2-dev [amd64],
@@ -22,7 +21,7 @@
  libjansson-dev,
  libltdl-dev,
  libmunge-dev [ !hurd-i386]
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/pmix/pmix
 Vcs-Browser: https://salsa.debian.org:/science-team/pmix.git
 Vcs-Git: https://salsa.debian.org:/science-team/pmix.git -b debian/latest
