=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,10 @@
   export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
 endif
 
+ifneq (,$(filter $(DEB_HOST_ARCH), mipsel))
+  export DEB_CFLAGS_MAINT_APPEND += -g1
+endif
+
 export LD_LIBRARY_PATH:=$(CURDIR)/debian/tmp/$(LIBDIR)/pmix2/lib:$(LD_LIBRARY_PATH)
 
 # Do not embed build username or build system hostname, see README
@@ -42,11 +46,10 @@
 	--with-curl \
 	--with-zlib=/usr \
 	--with-zlib-libdir=$(LIBDIR) \
-	--with-jansson=/usr \
+	--with-jansson-libdir=$(LIBDIR) \
 	--with-hwloc=/usr \
 	--with-hwloc-libdir=$(LIBDIR) \
-	--enable-python-bindings \
-	$(if $(filter $(DEB_HOST_ARCH), i386),--disable-man-pages)
+	--enable-python-bindings 
 
 override_dh_auto_clean:
 	dh_auto_clean
