=== debian/control ===
Source: pmix
Section: unknown
Priority: optional
Maintainer: Aditi Gaur <aditigaur@microsoft.com>
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/openpmix/openpmix
Build-Depends:
 debhelper-compat (= 12),
 autotools-dev,
 dh-sequence-python3,
 chrpath,
 flex,
 bison,
 libfl-dev,
 python3-all-dev,
 cython3,
 python3-distutils,
 pandoc [!i386],
 libpsm-infinipath1-dev [amd64 i386],
 libpsm2-dev [amd64],
 libcurl4-gnutls-dev | libcurl-dev,
 libhwloc-dev,
 zlib1g-dev,
 libevent-dev,
 libjansson-dev,
 libltdl-dev

Package: pmix
Conflicts: openmpi
Replaces: libpmix2, libpmix-dev
Architecture: any
Depends: zlib1g-dev, ${shlibs:Depends}, ${misc:Depends}
Description: Development files for the PMI Exascale library  
 This is the OpenMPI implementation of the Process Management Interface (PMI)
 Exascale API. PMIx aims to retain transparent compatibility with the existing
 PMI-1 and PMI-2 definitions, and any future PMI releases; Support 
 the Instant On initiative for rapid startup of applications at exascale
 and beyond.
